package com.crm.rely.backend.core.enums;

/**
 * 常用的状态管理
 *
 * @author y
 * @create 2022/1/21
 */
public enum CommonStatusType {


    APPLY(1, "APPLY"),
    PASS(2, "PASS"),
    REJECT(3, "REJECT");


    private final Integer code;
    private final String desc;

    CommonStatusType(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public static CommonStatusType matchCode(Integer code) {
        for (CommonStatusType type : CommonStatusType.values()) {
            if (type.getCode() == code) {
                return type;
            }
        }
        return null;
    }


}
